import * as log4js from 'log4js';
import { MongoAppenderConfiguration } from '../types/types';
/**
 * Exported configuration function to init appender
 *
 * @param {MongoAppenderConfiguration} config Configuration for mongo
 * @param {log4js.LayoutsParam} layouts log4js layouts collection
 */
export declare const configure: (config: MongoAppenderConfiguration, layouts: log4js.LayoutsParam | undefined, findAppender?: () => log4js.AppenderFunction, levels?: log4js.Levels) => (loggingEvent: any) => void;
/**
 * @description Exported AppenderModule function to init
 *
 * @export
 * @param {RestAppenderConfig} config Configuration for mongo
 * @returns
 */
export declare const MongoDbAppender: log4js.AppenderModule;
